import type { BadgeAPI, BadgeStates, ButtonProps, KoliBriIconsProp, LabelPropType, PropColor, Stringified } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolBadge implements BadgeAPI {
    private bgColorStr;
    private colorStr;
    private readonly id;
    private renderSmartButton;
    render(): JSX.Element;
    _color?: Stringified<PropColor>;
    _icons?: Stringified<KoliBriIconsProp>;
    _label: LabelPropType;
    _smartButton?: Stringified<ButtonProps>;
    state: BadgeStates;
    private handleColorChange;
    validateColor(value?: Stringified<PropColor>): void;
    validateSmartButton(value?: ButtonProps | string): void;
    componentWillLoad(): void;
}
